Skip to content
CARP Docs
Ask AISystemLightDark

Get protocols overview

Copy MarkdownOpen inView as MarkdownOpen in Scira AIOpen in ChatGPTOpen in ClaudeOpen in Cursor
GET
/api/protocols-overview
bearer
headerAuthorizationBearer <token>

Provide the username and password of the user

Response body

OK

*/*
  1. response
[index: integer]?
Example request
curl -X GET 'https://dev.carp.dk/api/protocols-overview'
Example response
[  {    "ownerName": "string",    "firstVersionCreatedDate": {      "epochSeconds": 0,      "nanosecondsOfSecond": 0    },    "lastVersionCreatedDate": {      "epochSeconds": 0,      "nanosecondsOfSecond": 0    },    "versionTag": "string",    "snapshot": {      "id": {        "stringRepresentation": "string"      },      "createdOn": {        "epochSeconds": 0,        "nanosecondsOfSecond": 0      },      "version": 0,      "ownerId": {        "stringRepresentation": "string"      },      "name": "string",      "description": "string",      "primaryDevices": [        {          "primaryDevice$dk_cachet_carp_common_carp_common": true,          "roleName": "string",          "supportedDataTypes": [            {              "namespace": "string",              "name": "string"            }          ],          "dataTypeSamplingSchemes": {            "keyOf": null,            "values": [              {                "dataType": {                  "type": {                    "namespace": "string",                    "name": "string"                  },                  "displayName": "string",                  "timeType": "POINT"                },                "default": null              }            ],            "empty": true,            "size": 0,            "entries": [              {                "value": {                  "dataType": {                    "type": {                      "namespace": "string",                      "name": "string"                    },                    "displayName": "string",                    "timeType": "POINT"                  },                  "default": null                },                "key": {                  "namespace": "string",                  "name": "string"                }              }            ],            "keys": [              {                "namespace": "string",                "name": "string"              }            ],            "property1": {              "dataType": {                "type": {                  "namespace": "string",                  "name": "string"                },                "displayName": "string",                "timeType": "POINT"              },              "default": null            },            "property2": {              "dataType": {                "type": {                  "namespace": "string",                  "name": "string"                },                "displayName": "string",                "timeType": "POINT"              },              "default": null            }          },          "defaultSamplingConfiguration": {            "property1": null,            "property2": null          },          "registrationClass": {            "inner": true,            "fun": true,            "visibility": "PUBLIC",            "qualifiedName": "string",            "sealedSubclasses": [              {}            ],            "members": [              {                "suspend": true,                "visibility": "PUBLIC",                "name": "string",                "typeParameters": [                  {                    "variance": "INVARIANT",                    "reified": true,                    "upperBounds": [                      {                        "markedNullable": true,                        "arguments": [                          {                            "variance": "INVARIANT",                            "type": {}                          }                        ],                        "classifier": null,                        "annotations": [                          null                        ]                      }                    ],                    "name": "string"                  }                ],                "returnType": {                  "markedNullable": true,                  "arguments": [                    {                      "variance": "INVARIANT",                      "type": {}                    }                  ],                  "classifier": null,                  "annotations": [                    null                  ]                },                "final": true,                "open": true,                "parameters": [                  {                    "vararg": true,                    "optional": true,                    "kind": "INSTANCE",                    "name": "string",                    "type": {                      "markedNullable": true,                      "arguments": [                        {                          "variance": "INVARIANT",                          "type": {}                        }                      ],                      "classifier": null,                      "annotations": [                        null                      ]                    },                    "index": 0,                    "annotations": [                      null                    ]                  }                ],                "abstract": true,                "annotations": [                  null                ]              }            ],            "companion": true,            "data": true,            "nestedClasses": [              {}            ],            "supertypes": [              {                "markedNullable": true,                "arguments": [                  {                    "variance": "INVARIANT",                    "type": {}                  }                ],                "classifier": null,                "annotations": [                  null                ]              }            ],            "typeParameters": [              {                "variance": "INVARIANT",                "reified": true,                "upperBounds": [                  {                    "markedNullable": true,                    "arguments": [                      {                        "variance": "INVARIANT",                        "type": {}                      }                    ],                    "classifier": null,                    "annotations": [                      null                    ]                  }                ],                "name": "string"              }            ],            "simpleName": "string",            "final": true,            "open": true,            "constructors": [              {                "operator": true,                "infix": true,                "suspend": true,                "inline": true,                "external": true,                "visibility": "PUBLIC",                "name": "string",                "typeParameters": [                  {                    "variance": "INVARIANT",                    "reified": true,                    "upperBounds": [                      {                        "markedNullable": true,                        "arguments": [                          {                            "variance": "INVARIANT",                            "type": {}                          }                        ],                        "classifier": null,                        "annotations": [                          null                        ]                      }                    ],                    "name": "string"                  }                ],                "returnType": {                  "markedNullable": true,                  "arguments": [                    {                      "variance": "INVARIANT",                      "type": {}                    }                  ],                  "classifier": null,                  "annotations": [                    null                  ]                },                "final": true,                "open": true,                "parameters": [                  {                    "vararg": true,                    "optional": true,                    "kind": "INSTANCE",                    "name": "string",                    "type": {                      "markedNullable": true,                      "arguments": [                        {                          "variance": "INVARIANT",                          "type": {}                        }                      ],                      "classifier": null,                      "annotations": [                        null                      ]                    },                    "index": 0,                    "annotations": [                      null                    ]                  }                ],                "abstract": true,                "annotations": [                  null                ]              }            ],            "sealed": true,            "abstract": true,            "objectInstance": null,            "value": true,            "annotations": [              null            ]          },          "optional": true        }      ],      "connectedDevices": [        {          "roleName": "string",          "supportedDataTypes": [            {              "namespace": "string",              "name": "string"            }          ],          "dataTypeSamplingSchemes": {            "keyOf": null,            "values": [              {                "dataType": {                  "type": {                    "namespace": "string",                    "name": "string"                  },                  "displayName": "string",                  "timeType": "POINT"                },                "default": null              }            ],            "empty": true,            "size": 0,            "entries": [              {                "value": {                  "dataType": {                    "type": {                      "namespace": "string",                      "name": "string"                    },                    "displayName": "string",                    "timeType": "POINT"                  },                  "default": null                },                "key": {                  "namespace": "string",                  "name": "string"                }              }            ],            "keys": [              {                "namespace": "string",                "name": "string"              }            ],            "property1": {              "dataType": {                "type": {                  "namespace": "string",                  "name": "string"                },                "displayName": "string",                "timeType": "POINT"              },              "default": null            },            "property2": {              "dataType": {                "type": {                  "namespace": "string",                  "name": "string"                },                "displayName": "string",                "timeType": "POINT"              },              "default": null            }          },          "defaultSamplingConfiguration": {            "property1": null,            "property2": null          },          "registrationClass": {            "inner": true,            "fun": true,            "visibility": "PUBLIC",            "qualifiedName": "string",            "sealedSubclasses": [              {}            ],            "members": [              {                "suspend": true,                "visibility": "PUBLIC",                "name": "string",                "typeParameters": [                  {                    "variance": "INVARIANT",                    "reified": true,                    "upperBounds": [                      {                        "markedNullable": true,                        "arguments": [                          {                            "variance": "INVARIANT",                            "type": {}                          }                        ],                        "classifier": null,                        "annotations": [                          null                        ]                      }                    ],                    "name": "string"                  }                ],                "returnType": {                  "markedNullable": true,                  "arguments": [                    {                      "variance": "INVARIANT",                      "type": {}                    }                  ],                  "classifier": null,                  "annotations": [                    null                  ]                },                "final": true,                "open": true,                "parameters": [                  {                    "vararg": true,                    "optional": true,                    "kind": "INSTANCE",                    "name": "string",                    "type": {                      "markedNullable": true,                      "arguments": [                        {                          "variance": "INVARIANT",                          "type": {}                        }                      ],                      "classifier": null,                      "annotations": [                        null                      ]                    },                    "index": 0,                    "annotations": [                      null                    ]                  }                ],                "abstract": true,                "annotations": [                  null                ]              }            ],            "companion": true,            "data": true,            "nestedClasses": [              {}            ],            "supertypes": [              {                "markedNullable": true,                "arguments": [                  {                    "variance": "INVARIANT",                    "type": {}                  }                ],                "classifier": null,                "annotations": [                  null                ]              }            ],            "typeParameters": [              {                "variance": "INVARIANT",                "reified": true,                "upperBounds": [                  {                    "markedNullable": true,                    "arguments": [                      {                        "variance": "INVARIANT",                        "type": {}                      }                    ],                    "classifier": null,                    "annotations": [                      null                    ]                  }                ],                "name": "string"              }            ],            "simpleName": "string",            "final": true,            "open": true,            "constructors": [              {                "operator": true,                "infix": true,                "suspend": true,                "inline": true,                "external": true,                "visibility": "PUBLIC",                "name": "string",                "typeParameters": [                  {                    "variance": "INVARIANT",                    "reified": true,                    "upperBounds": [                      {                        "markedNullable": true,                        "arguments": [                          {                            "variance": "INVARIANT",                            "type": {}                          }                        ],                        "classifier": null,                        "annotations": [                          null                        ]                      }                    ],                    "name": "string"                  }                ],                "returnType": {                  "markedNullable": true,                  "arguments": [                    {                      "variance": "INVARIANT",                      "type": {}                    }                  ],                  "classifier": null,                  "annotations": [                    null                  ]                },                "final": true,                "open": true,                "parameters": [                  {                    "vararg": true,                    "optional": true,                    "kind": "INSTANCE",                    "name": "string",                    "type": {                      "markedNullable": true,                      "arguments": [                        {                          "variance": "INVARIANT",                          "type": {}                        }                      ],                      "classifier": null,                      "annotations": [                        null                      ]                    },                    "index": 0,                    "annotations": [                      null                    ]                  }                ],                "abstract": true,                "annotations": [                  null                ]              }            ],            "sealed": true,            "abstract": true,            "objectInstance": null,            "value": true,            "annotations": [              null            ]          },          "optional": true        }      ],      "connections": [        {          "roleName": "string",          "connectedToRoleName": "string"        }      ],      "tasks": [        {          "measures": [            null          ],          "name": "string",          "description": "string"        }      ],      "triggers": {        "property1": {          "requiresPrimaryDevice": true,          "sourceDeviceRoleName": "string"        },        "property2": {          "requiresPrimaryDevice": true,          "sourceDeviceRoleName": "string"        }      },      "taskControls": [        {          "triggerId": 0,          "taskName": "string",          "destinationDeviceRoleName": "string",          "control": "Start"        }      ],      "participantRoles": [        {          "role": "string",          "optional": true        }      ],      "assignedDevices": {        "property1": [          "string"        ],        "property2": [          "string"        ]      },      "expectedParticipantData": [        {          "attribute": {            "inputDataType": {              "namespace": "string",              "name": "string"            }          },          "assignedTo": null,          "inputDataType": {            "namespace": "string",            "name": "string"          }        }      ],      "applicationData": {        "data": "string"      }    }  }]

Quick links

Page · DocumentationCARP DocumentationPage · DocumentationIntroductionPage · DocumentationQuickstartPage · DocumentationTerminologyPage · DocumentationArchitecture